#! /usr/local/bin/ruby
# ----------------------------------------------------------
# Thin cluster control script
#
# starts/stops/restarts all thin clusters
#
# Usage: ./thin_cluster.rb [start,stop,restart]
# ----------------------------------------------------------

thin_cluster_folder = "/etc/thin_cluster"
thin = "/usr/bin/thin"
options = %w{start stop restart}


# Make sure a valid option was used
unless options.include?($*[0])
  puts "Usage: #{$0} [start|stop|restart]"
  exit 1
end


# Make sure the thin cluster folder exists
unless File.exists?(thin_cluster_folder)
  puts "Error: The thin cluster folder (#{thin_cluster_folder}) does not exist." 
  exit 1
end


# Loop through thin cluster folder and execute the command
Dir["#{thin_cluster_folder}/*"].each do |file|
  puts "Processing #{file} ...\n\n"
  system "#{thin} -C #{file} #{$*[0]}"
  puts "\n\n"
end